/* General */
::selection {
    background: #CDA35C;
    color: #FFF;
}

body .uv-hide-desk {
    display: none;
}

.h2,
h2,
.h1,
h1 {
    text-transform: uppercase;
    letter-spacing: 4px;
}

body .uv-btn {
    border-radius: 4px !important;
}

body .uv-btn-p,
body:has(.uv-buttons) .uv-header .uv-btn-z-normal {
    position: relative;
    overflow: hidden;
}

body .uv-btn-p::before,
body:has(.uv-buttons) .uv-header .uv-btn-z-normal::before {
    content: '';
    position: absolute;
    width: 100px;
    height: 100%;
    background-image: linear-gradient(120deg,
            rgba(255, 255, 255, 0) 20%,
            rgba(205, 164, 92, 0.663) 40%,
            rgba(255, 255, 255, 0) 80%);
    top: 0;
    left: -100px;
    transition: opacity 0.3s ease;
    opacity: 0;
}

body .uv-btn-p:hover::before,
body:has(.uv-buttons) .uv-header .uv-btn-z-normal:hover::before {
    animation: shine 1.5s linear;
    opacity: 1;
}

/* Header */
body .uv-header {
    max-width: 100%;
}

.uv-page-header {
    transition: all .3s linear;
}

.uv-page-scroll .uv-page-header {
    box-shadow: 0 5px 30px #6e431a60;
}

body .uv-header-cont .swiper-slide .overlay-image {
    max-width: 300px;
}

body .uv-site-socials .single-socials .icon-wrapper {
    border-color: var(--uvwp_primary_background_color);
    padding: 6px;
}

.uv-page-hader-logo a img {
    transition: all .3s linear;
}

.uv-page-hader-logo a:hover img,
body .uv-hamburguer-menu .uv-page-hader-logo a:hover img {
    filter: drop-shadow(0 0 5px #6e431a60);
}

body .single-event-agenda .uwsddate {
    gap: .25rem;
}

body .single-event-agenda .uwsinfo {
    background: linear-gradient(180deg, rgba(194, 165, 99, 0.00) 0%, rgb(110 67 26 / 51%) 100%);
}

body .single-event-agenda .uwsinfo .uv-week-day {
    font-size: 14px;
}

body .single-event-agenda .uwsinfo .uv-day {
    font-family: var(--uvwp_title_font_family);
    font-size: 35px;
}

body .uv-slide-content-inner,
body .uv-header-simple-inner {
    padding-top: 3em;
    padding-bottom: 3em;
}

body .uv-header-simple-content h1,
body .uv-header-simple-content h2 {
    text-transform: uppercase;
}

/* body .uv-sidebar-section-name p {
    color: var(--uvwp_contrast_secondary_text_color);
} */

body .itemvalue a {
    color: var(--uvwp_global_primary_color);
}

body .map-square h2 {
    font-size: 2rem;
    font-family: var(--uvwp_title_font_family);
    font-weight: var(--uvwp_title_font_weigth);
}

body:has(.uv-contact-main) .uv-contact-50-column .wp-block-heading {
    font-family: var(--uvwp_content_font_family);
    font-size: 16px;
    font-weight: 600;
    letter-spacing: 0;
    padding-bottom: .5em;
}

.uv-evts-button {
    margin-top: 2.88em;
}

body .single-event-agenda .uwsinfo * {
    color: #ffffff !important;
}

body .uws-agenda-item-default .uwsname {
    font-family: var(--uvwp_title_font_family);
    font-weight: var(--uvwp_title_font_weigth);
    font-size: 1.57rem;
    letter-spacing: 2px;
}

/* 404 */
.uv-error-section {
    display: flex;
    align-items: center;
    min-height: calc(100dvh - 90px);
}

.uv-error-section .simple-block-titlle {
    font-size: 4.2rem;
    text-align: center;
}

.uv-error-section .simple-block-titlle,
.uv-error-section p {
    color: #FFF;
}

.uv-error-section .uv-block-simple-buttons-wrapper {
    margin-top: 2em;
}

.uv-error-section .uv-btn-z-normal:is(:hover, :focus) {
    background-color: var(--uvwp_navigation_bg_color);
    border-color: var(--uvwp_navigation_bg_color);
    color: var(--uvwp_primary_background_color);
}

/* About */
.uv-location-info .uv-info-heading {
    text-transform: uppercase;
}

body .map-square .uv-section-inner {
    max-width: 285px !important;
}

.uv-location-info .uv-info-heading::after,
body .uv-two-cols-title.uv-theme-title::after {
    content: '';
    display: block;
    width: 60px;
    height: 4px;
    background: var(--uv-primary-st);
    margin: .88rem 0 .55rem;
    position: relative;
    bottom: 0;
}

body .map-square * {
    color: var(--uvwp_global_primary_color);
}

/* Contact */
body .nf-response-msg {
    font-size: 1.82rem;
    max-width: 370px;
    margin: 0 auto;
}

/* Events */
body .uws-events-controls .uwsviews>ul>li>a {
    padding: 0.56em 0.75em;
}

body .uws-events-calendar,
body .uws-events-calendar .uws-cal-date {
    border-color: #484848;
}

body .uws-events-actions {
    margin-top: 2em;
}

/* Event */
html body .uv-eventheader .uv-page-titleinfo h2 {
    padding-left: 40px;
}

html body:has(.uv-event-section-main) .uv-eventheader .uv-page-titleinfo h2::before {
    top: -2px;
}

body:has(.uv-event-section-main) .uws-event-cont .uwseventdescr .uwstitle {
    font-family: var(--uvwp_title_font_family);
    font-weight: var(--uvwp_title_font_weigth);
    font-size: 2.62rem;
    line-height: 1.22;
    color: #FFF;
    letter-spacing: 4px;
    margin-bottom: .5em;
}

.uws-social-shares a .uwsicon-facebook {
    font-size: 1.6em;
}

/* Gallery */
.uv-gallery-section .uv-main-content-inner-gallery {
    margin-top: -70px;
}

.uv-gallery-section .galleries-tabs {
    padding-bottom: 70px;
}

/* Faqs */
.uv-faqs-section .uv-faq-modern-item a p {
    font-family: var(--uvwp_title_font_family);
    text-transform: uppercase;
}

.uv-faqs-section .uv-faq-modern-item {
    border-top: none;
}

.uv-faqs-section .active .uv-close-icon::before,
.uv-faqs-section .active .uv-close-icon::after {
    background-color: white;
}

/* Contact */
body .nf-form-content .listselect-wrap .nf-field-element div,
body .nf-form-content .ninja-forms-field {
    font-family: var(--uvwp_content_font_family);
}

body .nf-form-content .list-select-wrap .nf-field-element>div:focus,
body .nf-form-content input:not([type=button]):focus,
body .nf-form-content textarea:focus {
    background-color: #FFF;
    border-color: var(--uvwp_global_primary_color);
    box-shadow: 0 0 0 1px var(--uvwp_global_primary_color);
}

/* Privacy Pages */
.uv-generated-privacy a,
.uv-generated-terms a,
.uv-accessibility a {
    color: var(--uvwp_global_primary_color);
}

body .uv-privacy .uv-theme-subtitle,
body .uv-generated-terms .uv-theme-subtitle {
    padding-bottom: 0;
}

/* Item Pop */
.uws-pop-box .uwsitemselbtn,
.uws-rv-list-back {
    font-family: "Montserrat", sans-serif;
}

body .uws-closepop-label,
body .uwsitemdetslist ul>li:has(.uwsicon-calendar-2) i,
body .uws-itempop-footer .uwsactions .uws-btn:is(.uwsjs-item-addtocart-andcheck),
body #uws-invitem-pop .uws-closepop-label,
body .uws-itempop-header .uwsname a i,
body .uws-itempop-body .uwspricescont {
    display: none;
}

body #uws-invitem-pop.uws-pop-cont .uws-pop-box:has(.uwsseldays.uwsviewshown)>.uws-closepop {
    background: transparent;
}

.uwsinv-item-addons .uws-itempop-body .uwsitemselbox,
.uwsinv-item-addons .uwsitemdetslist ul li:has(span:empty) {
    display: none;
}

body .uws-itempop-footer .uwsactions>.uws-btn,
body .uwsseldays .uws-pop-actionchose .uws-btn {
    text-transform: capitalize;
}

body .uws-inventory-item-pop:not(.uwsinv-pricingbreakdown-pop) .uws-itempop-header {
    background-color: transparent;
    box-shadow: none;
    border: none;
}

body .uws-itempop-body .uwspayoptscont .uws-btn.uwsactive {
    background-color: var(--uws-accentcoloropac);
    border-color: #EEE8E3;
}

body .uws-itempop-body .uwspayoptscont .uws-btn,
body .uws-itempop-body .uwspayoptscont .uws-btn:is(:hover, :focus, :active, .uwsactive),
body .uws-itempop-body .uwspayoptscont .uws-btn:is(:hover, :focus, :active, .uwsactive) .uwsprice,
body .uwspricesbreakdown .uws-togglecoll>a .uwsname,
body .uwspricesbreakdown .uws-togglecoll>a .uwsbkpricecont {
    font-weight: 400;
    color: #212121;
}

body .uws-itempop-body .uwspayoptscont .uwsprice {
    color: #212121;
}

body .uws-inventory-item-pop:not(.uwsinv-pricingbreakdown-pop) .uws-itempop-header,
body .uws-inventory-item-pop:not(.uwsinv-pricingbreakdown-pop) .uws-itempop-header-inner {
    padding: 0;
}

body #uws-invitem-pop.uws-pop-cont .uws-pop-box>.uws-closepop {
    border-radius: 12.5rem;
    background: rgba(255, 255, 255, 0.80);
}

body .uwspricesbreakdown .uws-togglecoll.uwsactive .uwsbkpricecont i {
    transform: rotate(-90deg);
}

body .uws-inventory-item-pop:not(.uwsinv-pricingbreakdown-pop) .uws-itempop-header-inner .uwsimage {
    display: flex;
    max-height: 320px;
}

body .uws-itempop-body .uwsiteminlineinfo a {
    font-weight: 400;
}

body:has(.uvck-checkout-ifr>iframe[src*="/success/"]) .uvck-sidebarclosecont {
    display: none;
}

/* Footer */
.footer-inner {
    display: none;
}

.uvfootercopytext {
    font-size: 14px;
}

/* Animations */
@keyframes shine {
    0% {
        left: -100px;
    }

    20% {
        left: 100%;
    }

    100% {
        left: 100%;
    }
}

/* Media Queries */
@media (min-width: 990px) {
    body .uv-events-section .uws-agenda-default {
        row-gap: 2em;
    }
}

@media (max-width: 989px) {
    body .single-event-agenda .uwsname {
        font-size: 1.12rem;
        line-height: 1.4;
    }

    .uv-faqs-section .uv-faq-modern-item a p {
        font-size: 1.2rem;
        line-height: 1.32;
        max-width: 88%;
        padding: 0;
    }

    .uv-faqs-section .uv-faq-icon {
        top: 35px;
    }

    .uv-faqs-section .uv-faq-modern-answer-inner {
        padding: 0;
    }

    .uv-faqs-section .uv-faq-modern-item>a {
        font-size: 16px;
        padding: 10px 40px 10px 30px !important;
    }

    .uv-faqs-section .uv-faq-modern-item.active .uv-faq-modern-answer {
        margin-bottom: 0;
    }

    body .socket-socials {
        display: none;
    }

    .uv-legal-menu ul {
        padding: 0;
    }

    .uv-main-evts-section .uv-section-inner,
    html body:has(.uv-event-section-main) .uv-events-section,
    html body:has(.uv-event-section-main) .uv-events-section .uv-section-inner {
        padding-right: 0;
    }
}

@media (min-width: 768px) {
    body:has(.uv-accessibility) footer {
        position: fixed;
        bottom: 0;
        left: 0;
        width: 100%;
    }

    .uvfootercopytext br {
        display: none;
    }
}

@media (max-width: 767px) {
    :is(h1, h2, h3, h4, h5, h6) {
        letter-spacing: 2px;
    }

    body .uv-hide-mob {
        display: none;
    }

    body .uv-hide-desk {
        display: flex;
    }

    body .single-event-agenda .uwsname {
        font-size: 1.32rem;
        line-height: 1.2;
    }

    body .uv-hamburguer-menu .uv-page-hader-logo img {
        width: 125px;
    }

    body .uv-nav-extra-buttons .uv-btn {
        padding: 0.64em 1.22em;
    }

    .uv-about-section .uvmapdetailsmobile {
        padding: 1.88em 0 0 !important;
    }

    .uv-about-section .uv-spacer {
        height: 2.9em !important;
    }

    .uv-about-section .events-cta-title {
        padding-top: 10px;
    }

    .uv-evts-button {
        margin-top: 1.62em;
    }

    body .uv-eventscarousel .swiper-container {
        padding-left: 0;
    }

    body .uv-events-section .uws-agenda-cols-3 .uws-agenda-default>div {
        flex: 0 0 calc(50.444% - 7px);
    }

    body .uv-events-section .single-event-agenda .uwsname {
        width: 100%;
    }

    body .uv-generated-terms .uv-theme-subtitle,
    body .uv-privacy .uv-theme-subtitle,
    body .uv-terms .uv-theme-subtitle {
        font-size: 1.55rem;
    }

    body .uv-events-section .single-event-agenda .uv-day,
    body .single-event-agenda .uwsinfo .uv-day {
        font-size: 1.22rem;
    }

    body .uv-events-section .single-event-agenda .uwsinfo,
    body .single-event-agenda .uwsinfo {
        padding: 5px;
    }

    body .single-event-agenda .uwsddate {
        gap: .15rem;
    }

    body :is(.uv-events-section, .uv-main-evts-section) .single-event-agenda .uwsddate {
        width: max-content;
        padding-right: 0.5rem;
    }

    body .uv-events-section .single-event-agenda .uv-week-day,
    body .single-event-agenda .uwsinfo .uv-week-day {
        font-size: 11px;
    }

    body .uv-events-section .single-event-agenda .uv-month,
    body .single-event-agenda .uv-month {
        font-size: 14px;
    }

    body .uv-legal-menu ul {
        margin-top: 0;
    }

    .uvfootercopytext {
        font-size: .88rem;
    }

    body .uws-events-controls .uwsviews.uwsviews-icons li span {
        display: block;
    }

    html body:has(.uv-event-section-main) .uv-eventheader .event-title-details {
        font-size: 2.62rem;
        line-height: 1.22;
    }

    body .uws-inventory-3dmaplink a .uvtitle {
        font-size: .9rem;
    }

    body .uws-inventory-bookbtns .uwsactions .uws-btn {
        padding-left: 2em;
        padding-right: 2em;
    }

    body .uws-inventory-stage:not(.uwscartactive.uwstopedge.uwsbottomedge) .uws-inventory-bookbtns-body {
        justify-content: center;
    }

    body:has(.uv-event-section-main) .uws-event .uws-event-info .uwsinfobox {
        padding: 1.4em 1.3em;
    }

    .uv-two-cols-title.uv-theme-title {
        font-size: 32px;
    }

    body .uv-calendar-section .single-event-agenda .uwsname {
        font-size: 1.1rem;
        line-height: 1.12;
    }

    body .nf-response-msg {
        font-size: 1.2rem;
        max-width: 100%;
    }

    body .uv-mobile-menu-body {
        height: 60.5vh;
    }

    .uv-error-section .simple-block-titlle {
        font-size: 2.88rem;
    }

    .uv-error-section .uv-block-simple-buttons-wrapper {
        margin-top: 2em;
    }

    .uv-accessibility {
        min-height: 48dvh;
    }
}

@media (max-width: 480px) {
    body .uws-inventory-item-pop:not(.uwsinv-pricingbreakdown-pop) .uws-itempop-header-inner .uwsimage {
        max-height: 200px;
    }
}

@media (max-width: 380px) {
    body:has(.uv-event-section-main) .uws-event .uws-event-info .uwsinfobox {
        padding: 1.3em 1.2em;
    }
}